Added dhcp.in.
authorZoltán Felleg <zoltan.felleg@userrendszerhaz.hu>
Tue, 18 Jan 2022 14:49:47 +0000 (15:49 +0100)
committerZoltán Felleg <zoltan.felleg@userrendszerhaz.hu>
Tue, 18 Jan 2022 14:49:47 +0000 (15:49 +0100)
15 files changed:
sources/dhcp.in/config [new file with mode: 0644]
sources/dhcp.in/envvars [new file with mode: 0644]
sources/dhcp.in/firstboot/01_setupnetworking.sh [new file with mode: 0755]
sources/dhcp.in/firstboot/02_settimezone.sh [new file with mode: 0755]
sources/dhcp.in/firstboot/90_setupservices.sh [new file with mode: 0755]
sources/dhcp.in/firstboot/99_cleanup.sh [new file with mode: 0755]
sources/dhcp.in/postinstall/01_setownership.sh [new file with mode: 0755]
sources/dhcp.in/postinstall/02_setpermissions.sh [new file with mode: 0755]
sources/dhcp.in/postinstall/03_installfiles.sh [new file with mode: 0755]
sources/dhcp.in/postinstall/10_setupservices.sh [new file with mode: 0755]
sources/dhcp.in/postinstall/99_cleanup.sh [new file with mode: 0755]
sources/dhcp.in/postinstall/install/etc/dhcp/dhcpd.conf [new file with mode: 0644]
sources/sns.in/postinstall/install/var/named/228.10.in-addr.arpa.zone
sources/sns.in/postinstall/install/var/named/in.useribm.hu.zone
sources/start-order.txt

diff --git a/sources/dhcp.in/config b/sources/dhcp.in/config
new file mode 100644 (file)
index 0000000..ae5824b
--- /dev/null
@@ -0,0 +1,21 @@
+lxc.include = /usr/share/lxc/config/common.conf
+
+lxc.arch = x86_64
+lxc.uts.name = dhcp.in.useribm.hu
+lxc.rootfs.path = __CONTAINER_PATH__/rootfs
+lxc.mount.auto = proc:rw sys:ro
+
+lxc.net.0.type = veth
+lxc.net.0.flags = up
+lxc.net.0.link = bri-dev
+lxc.net.0.hwaddr = 02:0c:18:03:6d:3b
+
+lxc.autodev = 1
+
+lxc.cgroup2.devices.allow = a
+
+lxc.signal.halt = SIGRTMIN+4
+
+lxc.start.auto = 1
+lxc.start.order = __CONTAINER_START_ORDER__
+lxc.start.delay = 3
diff --git a/sources/dhcp.in/envvars b/sources/dhcp.in/envvars
new file mode 100644 (file)
index 0000000..12a4cbf
--- /dev/null
@@ -0,0 +1,3 @@
+DISTRIBUTION=Fedora
+DISTRIBUTION_VERSION=35
+SPEC_PACKAGES="dhcp-server"
diff --git a/sources/dhcp.in/firstboot/01_setupnetworking.sh b/sources/dhcp.in/firstboot/01_setupnetworking.sh
new file mode 100755 (executable)
index 0000000..3eb9687
--- /dev/null
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+
+sleep 1
+systemctl --quiet is-active NetworkManager.service
+NM_RC=$?
+WAITED=0
+while [ $NM_RC -ne 0 ]
+do
+    echo -n .
+    sleep 1
+    WAITED=1
+    systemctl --quiet is-active NetworkManager.service
+    NM_RC=$?
+done
+[ $WAITED -eq 1 ] && echo
+
+CONNECTIONS=$(nmcli --terse connection show | wc -l)
+while [ $CONNECTIONS -ne 1 ]
+do
+    echo "Number of connections: $CONNECTIONS" >&2
+    sleep 1
+    CONNECTIONS=$(nmcli --terse connection show | wc -l)
+done
+
+nmcli --terse connection show | grep ':$' >/dev/null
+ALL_CONNECTION_DEVICES_KNOWN=$?
+while [ $ALL_CONNECTION_DEVICES_KNOWN -eq 0 ]
+do
+    echo "Not all connection devices are known yet" >&2
+    sleep 1
+    nmcli --terse connection show | grep ':$' >/dev/null
+    ALL_CONNECTION_DEVICES_KNOWN=$?
+done
+
+CONNECTION_LINE=$(nmcli --terse connection show)
+CONNECTION_UUID=$(echo $CONNECTION_LINE | cut -f 2 -d ':')
+CONNECTION_DEVICE=$(echo $CONNECTION_LINE | cut -f 4 -d ':')
+
+nmcli connection delete uuid "$CONNECTION_UUID"
+
+nmcli connection add \
+    connection.autoconnect yes \
+    connection.id internal \
+    connection.interface-name $CONNECTION_DEVICE \
+    connection.type 802-3-ethernet \
+    ipv4.addresses "10.228.109.59/16" \
+    ipv4.dns "10.228.109.159, 10.228.92.159" \
+    ipv4.dns-search "in.useribm.hu" \
+    ipv4.gateway "10.228.109.254" \
+    ipv4.method "manual" \
+    ipv6.method "disabled" \
+    save yes
+
+nmcli connection show
diff --git a/sources/dhcp.in/firstboot/02_settimezone.sh b/sources/dhcp.in/firstboot/02_settimezone.sh
new file mode 100755 (executable)
index 0000000..20b2a71
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+
+sleep 1
+systemctl --quiet is-active dbus.service
+DBUS_RC=$?
+WAITED=0
+while [ $DBUS_RC -ne 0 ]
+do
+    if [ $WAITED -eq 0 ]
+    then
+        echo -n "Waiting for dbus.service"
+    fi
+    echo -n .
+    sleep 1
+    WAITED=1
+    systemctl --quiet is-active dbus.service
+    DBUS_RC=$?
+done
+[ $WAITED -ne 0 ] && echo
+timedatectl set-timezone Europe/Budapest
diff --git a/sources/dhcp.in/firstboot/90_setupservices.sh b/sources/dhcp.in/firstboot/90_setupservices.sh
new file mode 100755 (executable)
index 0000000..8b7de4a
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+
+systemctl enable dhcpd.service
+systemctl start dhcpd.service
+systemctl enable NetworkManager-wait-online.service
+systemctl start NetworkManager-wait-online.service
+
+systemctl enable logrotate.timer
+systemctl start logrotate.timer
diff --git a/sources/dhcp.in/firstboot/99_cleanup.sh b/sources/dhcp.in/firstboot/99_cleanup.sh
new file mode 100755 (executable)
index 0000000..b87f2f4
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+
+REAL_PATH=$(dirname $(realpath $0))
+
+echo rm -Rf $REAL_PATH
diff --git a/sources/dhcp.in/postinstall/01_setownership.sh b/sources/dhcp.in/postinstall/01_setownership.sh
new file mode 100755 (executable)
index 0000000..f2e6b94
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+
+REAL_PATH=$(dirname $(realpath $0))
+SOURCE_PATH=$REAL_PATH/install
+
+chown -R root.root $SOURCE_PATH/*
diff --git a/sources/dhcp.in/postinstall/02_setpermissions.sh b/sources/dhcp.in/postinstall/02_setpermissions.sh
new file mode 100755 (executable)
index 0000000..241386a
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+
+REAL_PATH=$(dirname $(realpath $0))
+SOURCE_PATH=$REAL_PATH/install
diff --git a/sources/dhcp.in/postinstall/03_installfiles.sh b/sources/dhcp.in/postinstall/03_installfiles.sh
new file mode 100755 (executable)
index 0000000..e4ee7ff
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+
+REAL_PATH=$(dirname $(realpath $0))
+
+tar --create \
+    --directory=$REAL_PATH \
+    --exclude=.placeholder \
+    --to-stdout \
+    install \
+    | tar --extract \
+          --backup \
+          --directory=/ \
+          --no-overwrite-dir \
+          --strip-components=1 \
+          --suffix=.orig
diff --git a/sources/dhcp.in/postinstall/10_setupservices.sh b/sources/dhcp.in/postinstall/10_setupservices.sh
new file mode 100755 (executable)
index 0000000..fad3b1f
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+
+systemctl disable dhcpd.service
+systemctl disable NetworkManager-wait-online.service
+
+systemctl disable logrotate.timer
diff --git a/sources/dhcp.in/postinstall/99_cleanup.sh b/sources/dhcp.in/postinstall/99_cleanup.sh
new file mode 100755 (executable)
index 0000000..b87f2f4
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+
+REAL_PATH=$(dirname $(realpath $0))
+
+echo rm -Rf $REAL_PATH
diff --git a/sources/dhcp.in/postinstall/install/etc/dhcp/dhcpd.conf b/sources/dhcp.in/postinstall/install/etc/dhcp/dhcpd.conf
new file mode 100644 (file)
index 0000000..977774a
--- /dev/null
@@ -0,0 +1,617 @@
+# dhcpd.conf
+#
+# Configuration file for ISC dhcpd
+#
+
+# Option definitions
+option broadcast-address   10.228.255.255;
+option domain-name         "in.useribm.hu";
+option domain-name-servers 10.228.92.159, 10.228.109.159;
+option domain-search       "in.useribm.hu", "sr.user.hu", "in.user.hu";
+option ntp-servers         ntp1.in.useribm.hu, ntp2.in.useribm.hu;
+option routers             ifg.in.useribm.hu;
+option smtp-server         mx.in.useribm.hu;
+option subnet-mask         255.255.0.0;
+option time-offset         3600;
+
+option space PXE;
+option PXE.mtftp-ip        code  1 = ip-address;
+option PXE.mtftp-cport     code  2 = unsigned integer 16;
+option PXE.mtftp-sport     code  3 = unsigned integer 16;
+option PXE.mtftp-tmout     code  4 = unsigned integer 8;
+option PXE.mtftp-delay     code  5 = unsigned integer 8;
+option architecture-type   code 93 = unsigned integer 16;
+
+option space pxelinux;
+option pxelinux.magic      code 208 = string;
+option pxelinux.configfile code 209 = text;
+option pxelinux.pathprefix code 210 = text;
+option pxelinux.reboottime code 211 = unsigned integer 32;
+option architecture-type   code  93 = unsigned integer 16;
+
+option space apc;
+option apc.cookie      code 1 = text;
+option apc.cookie      "1APC";
+
+# 12/24 hours
+default-lease-time 43200;
+max-lease-time 86400;
+
+# Disable dynamic dns updates
+ddns-update-style none;
+
+# This DHCP server is the official DHCP server for the local network
+authoritative;
+
+# Use this to send dhcp log messages to a different log file (you also
+# have to hack syslog.conf to complete the redirection).
+log-facility local7;
+
+# in.useribm.hu subnet
+subnet 10.228.0.0 netmask 255.255.0.0 {
+       range 10.228.43.1 10.228.43.254;
+       vendor-option-space apc;
+}
+
+# static hosts
+host tn-phone-test {
+       hardware ethernet 00:0b:82:66:f2:3e;
+       fixed-address 10.228.215.220;
+}
+host tn-phone-sf {
+       hardware ethernet 00:0b:82:67:2f:1c;
+       fixed-address 10.228.215.196;
+}
+host tn-intercom-gf {
+       hardware ethernet 7c:1e:b3:fe:4e:61;
+       fixed-address 10.228.215.76;
+}
+host tn-phone-ff {
+       hardware ethernet 00:0b:82:67:2d:26;
+       fixed-address 10.228.215.66;
+}
+host apcups2 {
+       hardware ethernet 00:c0:b7:23:dd:7d;
+       fixed-address 10.228.226.2;
+}
+host apcups1 {
+       hardware ethernet 00:c0:b7:58:c2:0c;
+       fixed-address 10.228.226.1;
+}
+host db2svr {
+       hardware ethernet 00:50:56:00:d4:2a;
+       fixed-address 10.228.212.42;
+}
+host accounting-usr {
+       hardware ethernet 00:50:56:00:d4:0d;
+       fixed-address 10.228.212.13;
+}
+host tsmapil {
+       hardware ethernet 00:50:56:00:c0:d4;
+       fixed-address 10.228.192.212;
+}
+host sssbn3 {
+       hardware ethernet 00:50:56:00:d1:83;
+       fixed-address 10.228.209.131;
+}
+host sssbn2 {
+       hardware ethernet 00:50:56:00:d1:82;
+       fixed-address 10.228.209.130;
+}
+host sssbn1 {
+       hardware ethernet 00:50:56:00:d1:81;
+       fixed-address 10.228.209.129;
+}
+host sssan3 {
+       hardware ethernet 00:50:56:00:d1:03;
+       fixed-address 10.228.209.3;
+}
+host sssan2 {
+       hardware ethernet 00:50:56:00:d1:02;
+       fixed-address 10.228.209.2;
+}
+host sssan1 {
+       hardware ethernet 00:50:56:00:d1:01;
+       fixed-address 10.228.209.1;
+}
+host spstsql {
+       hardware ethernet 00:50:56:00:ce:d4;
+       fixed-address 10.228.206.212;
+}
+host spstad {
+       hardware ethernet 00:50:56:00:ce:d3;
+       fixed-address 10.228.206.211;
+}
+host spstsp {
+       hardware ethernet 00:50:56:00:ce:d2;
+       fixed-address 10.228.206.210;
+}
+host spw2k08sql {
+       hardware ethernet 00:50:56:00:ce:cf;
+       fixed-address 10.228.206.207;
+}
+host spw2k08sp {
+       hardware ethernet 00:50:56:00:ce:ce;
+       fixed-address 10.228.206.206;
+}
+host spw2k08ad {
+       hardware ethernet 00:50:56:00:ce:0e;
+       fixed-address 10.228.206.14;
+}
+host ppitsp {
+       hardware ethernet 00:50:56:00:ce:03;
+       fixed-address 10.228.206.3;
+}
+host ppitdb {
+       hardware ethernet 00:50:56:00:ce:02;
+       fixed-address 10.228.206.2;
+}
+host ppitad {
+       hardware ethernet 00:50:56:00:ce:01;
+       fixed-address 10.228.206.1;
+}
+host rredms {
+       hardware ethernet 00:50:56:00:c6:35;
+       fixed-address 10.228.198.53;
+}
+host ssam {
+       hardware ethernet 00:50:56:00:c0:d1;
+       fixed-address 10.228.192.209;
+}
+host spsbsql {
+       hardware ethernet 00:50:56:00:c0:cf;
+       fixed-address 10.228.192.207;
+}
+host spsb {
+       hardware ethernet 00:50:56:00:c0:ce;
+       fixed-address 10.228.192.206;
+}
+host tsmddtest {
+       hardware ethernet 00:50:56:00:c0:cc;
+       fixed-address 10.228.192.204;
+}
+host toolbox {
+       hardware ethernet 00:50:56:00:c0:ca;
+       fixed-address 10.228.192.202;
+}
+host spsbad {
+       hardware ethernet 00:50:56:00:c0:bf;
+       fixed-address 10.228.192.191;
+}
+host jenkinswin {
+       hardware ethernet 00:50:56:00:c0:7b;
+       fixed-address 10.228.192.123;
+}
+host mkbdarc2dev {
+       hardware ethernet 00:50:56:00:c0:2c;
+       fixed-address 10.228.192.44;
+}
+host blobtest {
+       hardware ethernet 00:50:56:00:c0:28;
+       fixed-address 10.228.192.40;
+}
+host rkdominoadmin {
+       hardware ethernet 00:50:56:00:bf:01;
+       fixed-address 10.228.191.1;
+}
+host rhgssn3 {
+       hardware ethernet 00:50:56:00:bb:03;
+       fixed-address 10.228.187.3;
+}
+host rhgssn2 {
+       hardware ethernet 00:50:56:00:bb:02;
+       fixed-address 10.228.187.2;
+}
+host rhgssn1 {
+       hardware ethernet 00:50:56:00:bb:01;
+       fixed-address 10.228.187.1;
+}
+host purebcw2k12 {
+       hardware ethernet 00:50:56:00:a2:f2;
+       fixed-address 10.228.162.242;
+}
+host purebcw2k08 {
+       hardware ethernet 00:50:56:00:a2:ee;
+       fixed-address 10.228.162.238;
+}
+host purebcw2k03 {
+       hardware ethernet 00:50:56:00:a2:e9;
+       fixed-address 10.228.162.233;
+}
+host purebcrhel7 {
+       hardware ethernet 00:50:56:00:a2:bb;
+       fixed-address 10.228.162.187;
+}
+host purebcrhel6 {
+       hardware ethernet 00:50:56:00:a2:ba;
+       fixed-address 10.228.162.186;
+}
+host purebcwdb2105 {
+       hardware ethernet 00:50:56:00:a2:6a;
+       fixed-address 10.228.162.106;
+}
+host purebcldb2105 {
+       hardware ethernet 00:50:56:00:a2:69;
+       fixed-address 10.228.162.105;
+}
+host purebcldb297 {
+       hardware ethernet 00:50:56:00:a2:61;
+       fixed-address 10.228.162.97;
+}
+host msexchange {
+       hardware ethernet 00:50:56:00:95:f3;
+       fixed-address 10.228.149.243;
+}
+host msptt4 {
+       hardware ethernet 00:50:56:00:95:d4;
+       fixed-address 10.228.149.212;
+}
+host msptt3 {
+       hardware ethernet 00:50:56:00:95:d3;
+       fixed-address 10.228.149.211;
+}
+host msptt2 {
+       hardware ethernet 00:50:56:00:95:d2;
+       fixed-address 10.228.149.210;
+}
+host msptt1 {
+       hardware ethernet 00:50:56:00:95:d1;
+       fixed-address 10.228.149.209;
+}
+host msfhblbtest2 {
+       hardware ethernet 00:50:56:00:95:04;
+       fixed-address 10.228.149.4;
+}
+host msfhblbtest1 {
+       hardware ethernet 00:50:56:00:95:03;
+       fixed-address 10.228.149.3;
+}
+host msflashtest {
+       hardware ethernet 00:50:56:00:95:02;
+       fixed-address 10.228.149.2;
+}
+host mstsmupgrade {
+       hardware ethernet 00:50:56:00:95:01;
+       fixed-address 10.228.149.1;
+}
+host svc {
+       hardware ethernet 00:50:56:00:6d:fd;
+       fixed-address 10.228.109.253;
+}
+host idm {
+       hardware ethernet 00:50:56:00:6d:fc;
+       fixed-address 10.228.109.252;
+}
+host vpn {
+       hardware ethernet 00:50:56:00:6d:fb;
+       fixed-address 10.228.109.251;
+}
+host store {
+       hardware ethernet 00:50:56:00:6d:fa;
+       fixed-address 10.228.109.250;
+}
+host tsm {
+       hardware ethernet 00:50:56:00:6d:f9;
+       fixed-address 10.228.109.249;
+}
+host winadk {
+       hardware ethernet 00:50:56:00:6d:33;
+       fixed-address 10.228.109.51;
+}
+host vcsa60 {
+       hardware ethernet 00:50:56:00:5d:3c;
+       fixed-address 10.228.93.60;
+}
+host vcsvr55 {
+       hardware ethernet 00:50:56:00:5d:37;
+       fixed-address 10.228.93.55;
+}
+host vhost2 {
+       hardware ethernet e4:1f:13:bc:e0:d0;
+       fixed-address 10.228.93.2;
+}
+host vhost1 {
+       hardware ethernet e4:1f:13:bc:c3:20;
+       fixed-address 10.228.93.1;
+}
+host svcb {
+       hardware ethernet 00:50:56:00:5c:fd;
+       fixed-address 10.228.92.253;
+}
+host fuonyffilenet {
+       hardware ethernet 00:50:56:00:51:02;
+       fixed-address 10.228.81.2;
+}
+host futmp {
+       hardware ethernet 00:50:56:00:51:01;
+       fixed-address 10.228.81.1;
+}
+host fsmq8004 {
+       hardware ethernet 00:50:56:00:4f:54;
+       fixed-address 10.228.79.84;
+}
+host frsppapp {
+       hardware ethernet 00:50:56:00:4e:ce;
+       fixed-address 10.228.78.206;
+}
+host frtsm71 {
+       hardware ethernet 00:50:56:00:4e:47;
+       fixed-address 10.228.78.71;
+}
+host fdic922bmc {
+       hardware ethernet 08:94:ef:80:e5:57;
+       fixed-address 10.228.64.92;
+}
+host dvredmine {
+       hardware ethernet 00:50:56:00:3e:c1;
+       fixed-address 10.228.62.193;
+}
+host dvedmstest {
+       hardware ethernet 00:50:56:00:3e:46;
+       fixed-address 10.228.62.70;
+}
+host dvaviglion {
+       hardware ethernet 00:18:85:09:80:06;
+       fixed-address 10.228.62.32;
+}
+host desktop-20 {
+       hardware ethernet 00:50:56:00:3c:14;
+       fixed-address 10.228.60.20;
+}
+host desktop-19 {
+       hardware ethernet 00:50:56:00:3c:13;
+       fixed-address 10.228.60.19;
+}
+host desktop-18 {
+       hardware ethernet 00:50:56:00:3c:12;
+       fixed-address 10.228.60.18;
+}
+host desktop-17 {
+       hardware ethernet 00:50:56:00:3c:11;
+       fixed-address 10.228.60.17;
+}
+host desktop-16 {
+       hardware ethernet 00:50:56:00:3c:10;
+       fixed-address 10.228.60.16;
+}
+host desktop-15 {
+       hardware ethernet 00:50:56:00:3c:0f;
+       fixed-address 10.228.60.15;
+}
+host desktop-14 {
+       hardware ethernet 00:50:56:00:3c:0e;
+       fixed-address 10.228.60.14;
+}
+host desktop-13 {
+       hardware ethernet 00:50:56:00:3c:0d;
+       fixed-address 10.228.60.13;
+}
+host desktop-12 {
+       hardware ethernet 00:50:56:00:3c:0c;
+       fixed-address 10.228.60.12;
+}
+host desktop-11 {
+       hardware ethernet 00:50:56:00:3c:0b;
+       fixed-address 10.228.60.11;
+}
+host desktop-10 {
+       hardware ethernet 00:50:56:00:3c:0a;
+       fixed-address 10.228.60.10;
+}
+host desktop-09 {
+       hardware ethernet 00:50:56:00:3c:09;
+       fixed-address 10.228.60.9;
+}
+host desktop-08 {
+       hardware ethernet 00:50:56:00:3c:08;
+       fixed-address 10.228.60.8;
+}
+host desktop-07 {
+       hardware ethernet 00:50:56:00:3c:07;
+       fixed-address 10.228.60.7;
+}
+host desktop-06 {
+       hardware ethernet 00:50:56:00:3c:06;
+       fixed-address 10.228.60.6;
+}
+host desktop-05 {
+       hardware ethernet 00:50:56:00:3c:05;
+       fixed-address 10.228.60.5;
+}
+host desktop-04 {
+       hardware ethernet 00:50:56:00:3c:04;
+       fixed-address 10.228.60.4;
+}
+host desktop-03 {
+       hardware ethernet 00:50:56:00:3c:03;
+       fixed-address 10.228.60.3;
+}
+host desktop-02 {
+       hardware ethernet 00:50:56:00:3c:02;
+       fixed-address 10.228.60.2;
+}
+host desktop-01 {
+       hardware ethernet 00:50:56:00:3c:01;
+       fixed-address 10.228.60.1;
+}
+host ads {
+       hardware ethernet 00:50:56:00:2a:f6;
+       fixed-address 10.228.42.246;
+}
+host spelive {
+       hardware ethernet 00:50:56:00:2a:f5;
+       fixed-address 10.228.42.245;
+}
+host datacap-rr {
+       hardware ethernet 00:50:56:00:2a:ec;
+       fixed-address 10.228.42.236;
+}
+host testcibod9 {
+       hardware ethernet 00:50:56:00:2a:e7;
+       fixed-address 10.228.42.231;
+}
+host rtc4 {
+       hardware ethernet 00:50:56:00:2a:d0;
+       fixed-address 10.228.42.208;
+}
+host vmbkp {
+       hardware ethernet 00:50:56:00:2a:cf;
+       fixed-address 10.228.42.207;
+}
+host mqsvr {
+       hardware ethernet 00:50:56:00:2a:ce;
+       fixed-address 10.228.42.206;
+}
+host mqback {
+       hardware ethernet 00:50:56:00:2a:cd;
+       fixed-address 10.228.42.205;
+}
+host mqfiles {
+       hardware ethernet 00:50:56:00:2a:cc;
+       fixed-address 10.228.42.204;
+}
+host azsamboki01 {
+       hardware ethernet 00:50:56:00:2a:cb;
+       fixed-address 10.228.42.203;
+}
+host csldallianz {
+       hardware ethernet 00:50:56:00:2a:c2;
+       fixed-address 10.228.42.194;
+}
+host tsmmon-p {
+       hardware ethernet 00:50:56:00:2a:be;
+       fixed-address 10.228.42.190;
+}
+host tsmmon-s {
+       hardware ethernet 00:50:56:00:2a:bd;
+       fixed-address 10.228.42.189;
+}
+host accounting {
+       hardware ethernet 00:50:56:00:2a:bc;
+       fixed-address 10.228.42.188;
+}
+host jenkinslnx {
+       hardware ethernet 00:50:56:00:2a:b9;
+       fixed-address 10.228.42.185;
+}
+host jenkinstst {
+       hardware ethernet 00:50:56:00:2a:b8;
+       fixed-address 10.228.42.184;
+}
+host ssam71 {
+       hardware ethernet 00:50:56:00:2a:b4;
+       fixed-address 10.228.42.180;
+}
+host azsssam {
+       hardware ethernet 00:50:56:00:24:d1;
+       fixed-address 10.228.36.209;
+}
+host azsssamdev {
+       hardware ethernet 00:50:56:00:24:c2;
+       fixed-address 10.228.36.194;
+}
+host azsnfs {
+       hardware ethernet 00:50:56:00:24:92;
+       fixed-address 10.228.36.146;
+}
+host azsgpfs2 {
+       hardware ethernet 00:50:56:00:24:58;
+       fixed-address 10.228.36.88;
+}
+host azsgpfs1 {
+       hardware ethernet 00:50:56:00:24:57;
+       fixed-address 10.228.36.87;
+}
+host cdvm {
+       hardware ethernet 00:50:56:00:22:e9;
+       fixed-address 10.228.34.233;
+}
+host cds822p4 {
+       hardware ethernet 98:be:94:04:06:fb;
+       fixed-address 10.228.34.25;
+}
+host cds822p3 {
+       hardware ethernet 98:be:94:04:06:fa;
+       fixed-address 10.228.34.24;
+}
+host cds822p2 {
+       hardware ethernet 98:be:94:04:06:f9;
+       fixed-address 10.228.34.23;
+}
+host cds822p1 {
+       hardware ethernet 98:be:94:04:06:f8;
+       fixed-address 10.228.34.22;
+}
+host cds822hmc2 {
+       hardware ethernet 98:be:94:4c:5e:3f;
+       fixed-address 10.228.34.2;
+}
+host cds822hmc1 {
+       hardware ethernet 98:be:94:4c:5e:3e;
+       fixed-address 10.228.34.1;
+}
+host akmacmini {
+       hardware ethernet 10:dd:b1:b3:e3:ad;
+       fixed-address 10.228.21.143;
+}
+host aiac922 {
+       hardware ethernet 08:94:ef:80:21:3b;
+       fixed-address 10.228.19.13;
+}
+host aiac922bmc {
+       hardware ethernet 08:94:ef:80:21:3a;
+       fixed-address 10.228.19.12;
+}
+host acubuntu14 {
+       hardware ethernet 00:50:56:00:0d:0e;
+       fixed-address 10.228.13.14;
+}
+host acopensuse11 {
+       hardware ethernet 00:50:56:00:0d:0b;
+       fixed-address 10.228.13.11;
+}
+host accentos5 {
+       hardware ethernet 00:50:56:00:0d:05;
+       fixed-address 10.228.13.5;
+}
+host zfvpn {
+       hardware ethernet 00:50:56:00:0a:ec;
+       fixed-address 10.228.10.236;
+}
+host zfmssql {
+       hardware ethernet 00:50:56:00:0a:95;
+       fixed-address 10.228.10.149;
+}
+host zfwin81 {
+       hardware ethernet 00:50:56:00:0a:51;
+       fixed-address 10.228.10.81;
+}
+host zfbldw2k08 {
+       hardware ethernet 00:50:56:00:0a:1c;
+       fixed-address 10.228.10.28;
+}
+host zfbldrhel7 {
+       hardware ethernet 00:50:56:00:0a:1b;
+       fixed-address 10.228.10.27;
+}
+host zfbldrhel6 {
+       hardware ethernet 00:50:56:00:0a:1a;
+       fixed-address 10.228.10.26;
+}
+host zfwin2k {
+       hardware ethernet 00:50:56:00:0a:14;
+       fixed-address 10.228.10.20;
+}
+host zfwin7 {
+       hardware ethernet 00:50:56:00:0a:07;
+       fixed-address 10.228.10.7;
+}
+host zfryzen {
+       hardware ethernet 1c:1b:0d:e4:ed:c7;
+       fixed-address 10.228.10.3;
+}
+# zfelleg (BLU R1 HD)
+host zfblu-r1-hd {
+       hardware ethernet cc:79:4a:fe:58:8b;
+       fixed-address 10.228.10.2;
+}
index d1a4596549888205bc33baf24682a842f943a804..4b452d44a8bc3e851d45c9c66af5500e2c1660cc 100644 (file)
@@ -175,6 +175,8 @@ $TTL        86400
 
 104.109                IN      PTR     ins.in.useribm.hu.
 
+59.109         IN      PTR     dhcp.in.useribm.hu.
+
 51.109         IN      PTR     winadk.in.useribm.hu.
 
 ; ================================================================
index 77cd46eb174db86882c05553374a76b11075ff2f..06e46822bbc6bec1af1c225b581bb3f2f5843b66 100644 (file)
@@ -201,6 +201,8 @@ iscbe                       IN      A       10.228.109.109  ; is
 ins                    IN      A       10.228.109.104  ; in
 ins                    IN      AAAA    2a02:d400:0000:f268:000c:18ff:fe03:6d68
 
+dhcp                   IN      A       10.228.109.59   ; ds (dhcp server)
+
 winadk                 IN      A       10.228.109.51   ; dk
 
 ; ================================================================
index 43d44913014986efb9b447bac28bbb5b5be1b22e..9b85eebc804f58e2d0485371c51b6d13b80cfd8b 100644 (file)
@@ -13,17 +13,20 @@ group 4:
   ifg.in       31
 
 group 5:
-  ins.in       41
-  ldap.in      42
+  dhcp.in      41
+  ins.in       42
   ls.in                43
   ns1.in       44
   ns2.in       45
-  pns.in       46
-  sns.in       47
-  svc.in       48
-  vpn.in       49
-  wiki.in      50
+  svc.in       46
+  vpn.in       47
 
 group 6:
-  dhsvn.in     51
-  pastry.in    52
+  ldap.in      51
+  pns.in       52
+  sns.in       53
+  wiki.in      54
+
+group 7:
+  dhsvn.in     61
+  pastry.in    62